gsl::const_matrix_iterator Class Reference

`#include <mia/core/gsl_matrix.hh>`

## Public Member Functions

| const_matrix_iterator ()
| const_matrix_iterator (const const_matrix_iterator &other)=default
| const_matrix_iterator (const gsl_matrix *m, bool begin)
| const_matrix_iterator (const matrix_iterator &other)
double | operator* () const
const_matrix_iterator & | operator++ ()
const_matrix_iterator | operator++ (int)

## Friends

bool | operator!= (const const_matrix_iterator &lhs, const const_matrix_iterator &rhs)
bool | operator== (const const_matrix_iterator &lhs, const const_matrix_iterator &rhs)

## Detailed Description

Definition at line 95 of file gsl_matrix.hh.

## Constructor & Destructor Documentation

## const_matrix_iterator() [1/4]

gsl::const_matrix_iterator::const_matrix_iterator | ( | const gsl_matrix * | m,
|  | bool | begin )

inline

Definition at line 98 of file gsl_matrix.hh.

Referenced by const_matrix_iterator(), operator!=, operator++(), operator++(), and operator==.

## const_matrix_iterator() [2/4]

gsl::const_matrix_iterator::const_matrix_iterator | ( | const matrix_iterator & | other | ) |

inline

Definition at line 106 of file gsl_matrix.hh.

## const_matrix_iterator() [3/4]

gsl::const_matrix_iterator::const_matrix_iterator | ( |  | ) |

inline

Definition at line 114 of file gsl_matrix.hh.

## const_matrix_iterator() [4/4]

gsl::const_matrix_iterator::const_matrix_iterator | ( | const const_matrix_iterator & | other | ) |

default

References const_matrix_iterator().

## Member Function Documentation

## operator*()

double gsl::const_matrix_iterator::operator* | ( |  | ) | const

inline

Definition at line 124 of file gsl_matrix.hh.

## operator++() [1/2]

const_matrix_iterator & gsl::const_matrix_iterator::operator++ | ( |  | ) |

inline

Definition at line 130 of file gsl_matrix.hh.

References const_matrix_iterator().

## operator++() [2/2]

const_matrix_iterator gsl::const_matrix_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 144 of file gsl_matrix.hh.

References const_matrix_iterator().

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const const_matrix_iterator & | lhs,
|  | const const_matrix_iterator & | rhs )

friend

References const_matrix_iterator().

## operator==

bool operator== | ( | const const_matrix_iterator & | lhs,
|  | const const_matrix_iterator & | rhs )

friend

References const_matrix_iterator().

The documentation for this class was generated from the following file:

- gsl_matrix.hh